class PCommercial < ApplicationRecord
  validates :code, :presence => true
  #validates :firstname, :presence => true
  
  belongs_to :p_commercial_cat
  
  def long_name
    self.code.to_s+" "+self.firstname.to_s + " " + self.name.to_s
  end
  
  def member_label
    self.long_name
  end
  
  has_many :p_customers
  
  has_many :p_customer_sheets
  
  has_many :p_documents
  
  
  def ca_ht
    self.p_documents.where(:p_document_type_id => [4,7]).sum(:cache_total_ht)
  end
  
  def ca_ttc
    self.p_documents.where(:p_document_type_id => [4,7]).sum(:cache_total_ttc)
  end

end
